# Vk OAuth2 client provider

## Установка

Добавьте запись в блок `repositories` файла composer.json

```
"repositories": [
    {
        "type": "vcs",
        "url": "https://git.crtweb.ru/creative-packages/oauth2-vk"
    }
]
```

## Использование

```php
$provider = new Creative\OAuth2\Client\VkOAuthProvider([
    'clientId' => '{vk-app-id}',
    'clientSecret' => '{vk-app-secret}',
    'redirectUri' => 'https://example.com/callback-url',
    'api_version' => '5.107'
]);
```

Конфигурация для пакета knpuniversity/oauth2-client-bundle

```yaml
# config/packages/knpu_oauth2_client.yaml

vk:
    type: generic
    provider_class: Creative\OAuth2\Client\VkOAuthProvider

    provider_options:
        api_version: 5.107

    client_id: '%env(OAUTH_VK_CLIENT_ID)%'
    client_secret: '%env(OAUTH_VK_CLIENT_SECRET)%'
    redirect_route: connect_vk_check
    redirect_params: {}
```


