<?php

declare(strict_types=1);

namespace Creative\OAuth2\Client;

use League\OAuth2\Client\Provider\ResourceOwnerInterface;

/**
 * Class VkResourceOwner.
 */
class VkResourceOwner implements ResourceOwnerInterface
{
    /**
     * @var array
     */
    private array $data;

    /**
     * VkUser constructor.
     *
     * @param array $data
     */
    public function __construct(array $data)
    {
        $this->data = $data;
    }

    /**
     * @inheritDoc
     */
    public function getId()
    {
        return $this->data['id'] ?? null;
    }

    /**
     * @return string|null
     */
    public function getEmail(): ?string
    {
        return $this->data['email'] ?? null;
    }

    /**
     * @return string|null
     */
    public function getFirstName(): ?string
    {
        return $this->data['first_name'] ?? null;
    }

    /**
     * @return string|null
     */
    public function getLastName(): ?string
    {
        return $this->data['last_name'] ?? null;
    }

    /**
     * @inheritDoc
     */
    public function toArray(): array
    {
        return $this->data;
    }
}
